VZLogger - Installationsfehler bei "make"

  • Hallo Zusammen,


    nachdem ich von Nils meine Erweiterungen bekommen habe, war das der Zeitpunkt endlich vom BananaPi auf den Raspberry umzuziehen (stand schon lange an).


    Also flink die alten Anleitungen rausgesucht, schnell noch einen neuen User angelegt und los gehts. Doch dann das:


    Automatische Installation (per Install Skript) und händische Installation schlagen beim "make" vom VZLogger fehl.


    Das ist das letzte Lebenszeichen der Installation:



    Leider kann ich das Problem nicht ausreichend deuten. Hat jemand von Euch eine Idee?


    Auf dem Raspberry ist das neuste Raspbian (Stretch-Basis) installiert. Die Schritte vorher haben keine ersichtlichen Fehler aufgewiesen.


    Danke und VG
    Itchy2

  • Zitat von JAU

    Ich meine das Paket müsste libunistring-dev heißen.



    mfg JAU


    Moin.


    Bin gerade dabei VZ neu zu konfigurieren und nutze dazu das aktuelle Image fürs Raspberry Pi Wird hier nicht angeboten, nur die libunistring0.


    Code
    1. pi@raspberrypi:~ $ dpkg -l *unistring*
    2. Desired=Unknown/Install/Remove/Purge/Hold
    3. | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
    4. |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
    5. ||/ Name Version Architecture Description
    6. +++-==============-============-============-=================================
    7. ii libunistring0: 0.9.6+really armhf Unicode string library for C
    8. pi@raspberrypi:~ $


    Kann ich das Paket runterladen und installieren oder sind Abhängigkeiten zu anderen Paketen vorhanden?

  • Unsere Anleitung im Wiki bezieht sich auf das Image das wir bereitstellen. Wir empfehlen, für idealen Support, auch dieses zu nutzen. Wenn du ein anderes Image nutzen möchtest musst du halt auch selbst probieren.


    Wegen möglicher Abhängigkeiten empfehle ich dir apt-get statt dpkg zu nutzen, dann werden die automatisch aufgelöst.



    mfg JAU

    No Shift - No Service

  • Nee, das Image ist direkt von VZ-Wiki.Habe das VZ-Image von der VZ-Wiki letzte Woche runtergeladen und installiert, leider wird libunistring-dev nicht gelistet. Daher die Frage, ob es da noch mehr Abhängigkeiten fehlen, sonst würde ich das händisch nachinstallieren.


    Oder passt was nicht?

  • Naja, macht ja auch einen Unterschied, ob man neu compiliert, oder einfach nur das vorhandene nutzt.
    Nachdem das Image ja komplett fertig ist, werden die speziellen Libaries zum compilieren ja nicht benötigt....


    Stefan

  • Man braucht die Libs grundsätzlich nicht wenn man den vzlogger aus dem Image nutzt.


    Die neuste Version des vzloggers ist allerdings oft jünger als das Image von daher kann es schon sein das sich da nochmal was verändert hat.
    Aber auch in dem Fall gilt: Halte dich einfach an die Anleitung zum Neubau des vzloggers. Da steht explizit welche Pakete nötig sind und installiert werden müssen. Und das sind auch alles Pakete die verfügbar sind, habs selbst getestet (und dokumentiert).


    Es macht bei apt-get auch nix wenn man ein Paket doppelt aufruft, der Paketmanager merkt das und installiert nur was nötig ist. Deswegen nannte man ihn ja Advanced Packaging Tool...



    mfg JAU

    No Shift - No Service

  • Moin.


    Es läuft mit den aktuelleren Builds echt geschmeidiger als noch vor 3 Jahren. :danke:
    Eigendlich brauch ich in den nächsten Monaten nichts machen. Never touch a running system. :D


    Und wenn, Image ziehen, auf die SD-Karte schreiben, die paar configs und scipte einfügen, SD-Karte austauschen, fertig. Im Idealfall keine Stunde.


    Gruß, Mike